Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Marc Zyngier <[email-masked]>
Date: Fri, 25 Aug 2017 09:11:47 +0100

Hi Stephen,

On Fri, Aug 25 2017 at  2:57:21 pm BST, Stephen Rothwell <[email-masked]> wrote:
> Hi all,
>
> Today's linux-next merge of the kvm-arm tree got a conflict in:
>
>   arch/arm64/include/asm/esr.h
>
> between commit:
>
>   1f9b8936f36f ("arm64: Decode information from ESR upon mem faults")
>
> from the arm64 tree and commit:
>
>   c5511c3c068c ("KVM: arm/arm64: Fix guest external abort matching")
>
> from the kvm-arm tree.
>
> I fixed it up (I used the former version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks for that, result looking good.

Christoffer: I think we could simply drop the hunk touching esr.h from
James' patch. After all, even if nothing is using it, this bit still
exists in the ESR register, and there is little gain in dropping its
definition. This would solve the conflict nicely...

Thanks,

	M.
-- 
Jazz is not dead, it just smell funny.